////////////////////////////////////////////////////////////////////////////
// NoteCase notes manager project <http://notecase.sf.net>
//
// This code is licensed under BSD license.See "license.txt" for more details.
//
// File: Implements window for file export options
////////////////////////////////////////////////////////////////////////////

#ifndef FILEEXPORTDLG_H__
#define FILEEXPORTDLG_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "gui/Dialog.h"

struct _fmt {
	const char *szName;
	const char *szFilter;	
};

class FileExportDlg : public Dialog  
{
public:
	FileExportDlg();
	virtual ~FileExportDlg();

	virtual void Create();

	int GetExportMode();
	const char *GetExportFile();

public:
	struct _fmt m_formats[5];	//export formats info
	void ForceFormatExtension();

protected:
	GtkWidget* create_file_export_dialog (GtkWidget* parent=NULL);
};

#endif // FILEEXPORTDLG_H__
